Đến nội dung


Hình ảnh
- - - - -

[Nhờ chỉnh sửa] Lisp doi mau


  • Please log in to reply
14 replies to this topic

#1 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 27 June 2012 - 04:30 PM

Gửi các bạn trong diễn đàn,
Mình nhờ các bạn chỉnh sửa lại lisp doi mau sau(down từ diễn đàn Cad Việt) theo hướng chỉ đổi màu các đối tượng được chọn thôi chứ không đổi màu toàn bộ các đối tượng trên bản vẽ như lisp đổi màu trên.
Đây là đường dẫn file lisp
http://www.cadviet.c...944_doi_mau.lsp
Rất mong được hỗ trợ.
Tkd247
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 June 2012 - 04:55 PM

Title sao bạn không đánh tiếng Việt ?
Sao bạn không hỏi ở link down lisp ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 27 June 2012 - 06:42 PM

Gửi ket xu,
Mình viết tiếng việt đấy chứ, chẳng qua là tên lisp "doi mau" là tiếng việt không dấu nên mình vẫn giữ nguyên cho đúng với tên lisp. Còn ý ket xu là hỏi ở link down lisp nghĩa là như thế nào? mình không hiểu lắm.
Tkd 247
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 June 2012 - 08:17 PM

Bạn down lisp ở chỗ nào CV thì hãy cố gắng hỏi tại chính topic đó
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 28 June 2012 - 10:37 PM

Gửi các bạn trong diễn đàn,
Mình nhờ các bạn chỉnh sửa lại lisp doi mau sau(down từ diễn đàn Cad Việt) theo hướng chỉ đổi màu các đối tượng được chọn thôi chứ không đổi màu toàn bộ các đối tượng trên bản vẽ như lisp đổi màu trên.
Đây là đường dẫn file lisp
http://www.cadviet.c...944_doi_mau.lsp
Rất mong được hỗ trợ.
Tkd247

Hề hề hề,
Xin lỗi vì bạn phải đợi lâu. Số là mình hơi dốt về các hàm vla- và vlax- nên phải mót thêm của các bác Ketxu, ĐoanVanHa mới hiểu được cái lisp của bạn gửi để chỉnh sửa nó theo yêu cầu của bạn.
Mình đã chỉnh sửa nó bằng cách bổ sung thêm hàm con changeallobjectcolor1 dựa trên cái hàm con cũ của bạn là changeallobjectcolor.
Như vậy khi chạy lisp sẽ hỏi bạn có muốn đổi màu toàn bộ bản vẽ hay không?? Nếu bạn trả lời y thì lisp sẽ chạy hàm con changeallobjectcolor và đổi màu toàn bộ bản vẽ. Còn nếu bạn trả lời n hay nhấn phím enter thì lisp sẽ yêu cầu bạn chọn các đối tượng cần đổi màu và chỉ đổi màu các đối tượng này bằng cách chạy hàm con changeallobjectcolor1.
Bạn hãy test thử và cho ý kiến nhé.


;; free lisp from cadviet.com

;;; Posted Vladimir Azarko (VVA)
;;; <a href="http://www.cadtutor.net/forum/showthread.php?t=533&page=2" target="_blank">
;;;;http://www.cadtutor.net/forum/showthread.p...=533&page=2</a>

(defun C:doimau (/ doc col)
(vl-load-com)
(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(setq ans (getstring "\n Ban muon doi mau toan bo ban ve <Y or N> : "))
(vla-startundomark doc)
(mip:layer-status-save)
(if (and (setq col (acad_colordlg 7 t)) (= (strcase ans) "Y"))
(ChangeAllObjectsColor doc col) ;_ col &#8212; color number
(ChangeAllObjectsColor1 doc col)
) ;_ end of if
(mip:layer-status-restore)
(vla-endundomark doc)
(princ)
) ;_ end of defun
;;;;;;;;;;;;;;;;;;
(defun C:COLORXREF (/ doc col)
(vl-load-com)
(alert
"\This lisp change color xref\nONLY ON A CURRENT SESSION"
) ;_ end of alert
(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(vla-startundomark doc)
(mip:layer-status-save)
(if (setq col (acad_colordlg 7 t))
(ChangeXrefAllObjectsColor doc col) ;_ col &#8212; color number
) ;_ end of if
(mip:layer-status-restore)
(vla-endundomark doc)
(princ)
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:COLORXL (/ doc col)
(vl-load-com)
(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(vla-startundomark doc)
(if (setq col (acad_colordlg 7 t))
(ChangeAllObjectsColor doc col) ;_ col &#8212; color number
) ;_ end of if
(vla-endundomark doc)
(princ)
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:COLORXREFL (/ doc col)
(vl-load-com)
(alert
"\This lisp change color xref\nONLY ON A CURRENT SESSION"
) ;_ end of alert
(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(vla-startundomark doc)
(if (setq col (acad_colordlg 7 t))
(ChangeXrefAllObjectsColor doc col) ;_ col &#8212; color number
) ;_ end of if
(vla-endundomark doc)
(princ)
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun mip:layer-status-restore ()
(foreach item *MIP_LAYER_LST*
(if (not (vlax-erased-p (car item)))
(vl-catch-all-apply
'(lambda ()
(vla-put-lock (car item) (cdr (assoc "lock" (cdr item))))
(vla-put-freeze
(car item)
(cdr (assoc "freeze" (cdr item)))
) ;_ end of vla-put-freeze
) ;_ end of lambda
) ;_ end of vl-catch-all-apply
) ;_ end of if
) ;_ end of foreach
(setq *MIP_LAYER_LST* nil)
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun mip:layer-status-save ()
(setq *MIP_LAYER_LST* nil)
(vlax-for item (vla-get-layers
(vla-get-activedocument (vlax-get-acad-object))
) ;_ end of vla-get-layers
(setq *MIP_LAYER_LST*
(cons (list item
(cons "freeze" (vla-get-freeze item))
(cons "lock" (vla-get-lock item))
) ;_ end of cons
*MIP_LAYER_LST*
) ;_ end of cons
) ;_ end of setq
(vla-put-lock item :vlax-false)
(if (= (vla-get-freeze item) :vlax-true)
(vl-catch-all-apply
'(lambda () (vla-put-freeze item :vlax-false))
) ;_ end of vl-catch-all-apply
) ;_ end of if
) ;_ end of vlax-for
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun ChangeXrefAllObjectsColor (Doc Color / tmp txtstr)
(vlax-for Blk (vla-get-Blocks Doc)
(cond
((or (= (vla-get-IsXref Blk) :vlax-true)
(and (= (vla-get-IsXref Blk) :vlax-false)
(wcmatch (vla-get-name Blk) "*|*")
) ;_ end of and
) ;_ end of or
(vlax-for Obj Blk
(if (and (vlax-write-enabled-p Obj)
(vlax-property-available-p Obj 'Color)
) ;_ end of and
(vla-put-Color Obj Color)
) ;_ end of if
(if (and (vlax-write-enabled-p Obj)
(vlax-property-available-p Obj 'TextString)
) ;_ end of and
(progn
(setq txtstr
(if (vlax-method-applicable-p Obj 'FieldCode)
(vla-FieldCode Obj)
(vlax-get-property Obj 'TextString))
)
(setq tmp 0)
(while (setq tmp (VL-STRING-SEARCH "\\C" txtstr tmp))
(setq txtstr
(vl-string-subst
(strcat (substr txtstr (1+ tmp) 2)(itoa Color) ";")
(substr txtstr (1+ tmp) (- (1+ (VL-STRING-SEARCH ";" txtstr tmp)) tmp))
txtstr
tmp)
)
(setq tmp (+ tmp 3))
)
(vla-put-Textstring Obj txtstr)
)
) ;_ end of if
(if (and (vlax-write-enabled-p Obj)
(= (vla-get-ObjectName obj) "AcDbBlockReference")
(= (vla-get-HasAttributes obj) :vlax-true)
) ;_ end of and
(foreach att (vlax-safearray->list
(vlax-variant-value (vla-GetAttributes obj))
) ;_ end of vlax-safearray->list
(if (and (vlax-write-enabled-p att)
(vlax-property-available-p att 'Color)
) ;_ end of and
(vla-put-Color att Color)
) ;_ end of if
) ;_ end of foreach
) ;_ end of if
(if (and (vlax-write-enabled-p Obj)
(wcmatch (vla-get-Objectname Obj) "*Dimension*,AcDb*Leader")
) ;_ end of and
(progn
(vl-catch-all-apply 'vla-put-ExtensionLineColor (list Obj Color))
(vl-catch-all-apply 'vla-put-TextColor (list Obj Color))
(vl-catch-all-apply 'vla-put-DimensionLineColor (list Obj Color))
(if (vlax-property-available-p Obj 'LeaderLineColor)
(progn
(setq tmp (vla-getinterfaceobject(vlax-get-acad-object)(strcat "AutoCAD.AcCmColor."
(substr (getvar "ACADVER") 1 2))))
(vla-put-colorindex tmp Color)
(vl-catch-all-apply 'vla-put-LeaderLineColor (list Obj tmp))
)
)
) ;_ end of progn
) ;_ end of if
) ;_ end of vlax-for
)
((= (vla-get-IsLayout Blk) :vlax-true)
(vlax-for Obj Blk
(if
(and (vlax-write-enabled-p Obj)
(vlax-property-available-p Obj 'Color)
(vlax-property-available-p Obj 'Path)
(wcmatch (strcase (vla-get-ObjectName Obj)) "*BLOCK*")
) ;_ end of and
(vla-put-Color Obj Color)
) ;_ end of if
) ;_ end of vlax-for
)
(t nil)
) ;_cond
) ;_ end of vlax-for
(vl-cmdf "_redrawall")
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun ChangeAllObjectsColor (Doc Color / txtstr tmp txt count)
;;; (setq ss (ssget))
;;; (sssetfirst nil ss)
;;;;(setq doc (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))
;;; (setq i 0)
;;; (repeat (vla-get-count doc)
;;; (setq blk (vla-item doc i) )
(vlax-for Blk (vla-get-blocks Doc)
(if (= (vla-get-IsXref Blk) :vlax-false)
(progn
(setq count 0 txt (strcat "Changed " (vla-get-name Blk)))
(grtext -1 txt)
(vlax-for Obj Blk
(setq count (1+ count))
(if (zerop(rem count 10))(grtext -1 (strcat txt " : " (itoa count))))
(if (and (vlax-write-enabled-p Obj) (vlax-property-available-p Obj 'Color) ) ;_ end of and
(vla-put-Color Obj Color)
) ;_ end of if
(if (and (vlax-write-enabled-p Obj) (vlax-property-available-p Obj 'TextString) ) ;_ end of and
(progn
(setq txtstr
(if (vlax-method-applicable-p Obj 'FieldCode)
(vla-FieldCode Obj)
(vlax-get-property Obj 'TextString)
)
)
(setq tmp 0)
(while (setq tmp (VL-STRING-SEARCH "\\C" txtstr tmp))
(setq txtstr
(vl-string-subst (strcat (substr txtstr (1+ tmp) 2) (itoa Color) ";")
(substr txtstr (1+ tmp) (- (1+ (VL-STRING-SEARCH ";" txtstr tmp)) tmp))
txtstr tmp)
)
(setq tmp (+ tmp 3))
)
(vla-put-Textstring Obj txtstr)
)
) ;_ end of if
(if (and (vlax-write-enabled-p Obj)
(= (vla-get-ObjectName obj) "AcDbBlockReference")
(= (vla-get-HasAttributes obj) :vlax-true)
) ;_ end of and
(foreach att (vlax-safearray->list
(vlax-variant-value (vla-GetAttributes obj))
) ;_ end of vlax-safearray->list
(if (and (vlax-write-enabled-p att) (vlax-property-available-p att 'Color) ) ;_ end of and
(vla-put-Color att Color)
) ;_ end of if
) ;_ end of foreach
) ;_ end of if
(if (and (vlax-write-enabled-p Obj) (wcmatch (vla-get-Objectname Obj) "*Dimension*,AcDb*Leader")) ;_ end of and
(progn
(vl-catch-all-apply 'vla-put-ExtensionLineColor (list Obj Color))
(vl-catch-all-apply 'vla-put-TextColor (list Obj Color))
(vl-catch-all-apply 'vla-put-DimensionLineColor (list Obj Color))
(if (vlax-property-available-p Obj 'LeaderLineColor)
(progn
(setq tmp (vla-getinterfaceobject (vlax-get-acad-object) (strcat "AutoCAD.AcCmColor."
(substr (getvar "ACADVER") 1 2))) )
(vla-put-colorindex tmp Color)
(vl-catch-all-apply 'vla-put-LeaderLineColor (list Obj tmp))
)
)
) ;_ end of progn
) ;_ end of if
) ;_ end of vlax-for
)
) ;_ end of if
;;;(setq i (1+ i))
) ;_ end of vlax-for
(vl-cmdf "_redrawall")
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun ChangeAllObjectsColor1 (Doc Color / txtstr tmp txt count)
(setq ss (ssget))
(sssetfirst nil ss)
(setq doc (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))
(sssetfirst nil)
(setq i 0)
(repeat (vla-get-count doc)
(setq blk (vla-item doc i) )
;;;;(vlax-for Blk (vla-get-blocks Doc)
(if (/= (vla-get-TrueColor Blk) nil)
(progn
;;;;(setq count 0 txt (strcat "Changed " (vla-get-name Blk)))
;;;(grtext -1 txt)
;;;(vlax-for Obj Blk
;;;(setq count (1+ count))
;;;(if (zerop(rem count 10))(grtext -1 (strcat txt " : " (itoa count))))
(if (and (vlax-write-enabled-p blk) (vlax-property-available-p blk 'Color) ) ;_ end of and
(vla-put-Color blk Color)
) ;_ end of if
(if (and (vlax-write-enabled-p blk) (vlax-property-available-p blk 'TextString) ) ;_ end of and
(progn
(setq txtstr
(if (vlax-method-applicable-p blk 'FieldCode)
(vla-FieldCode blk)
(vlax-get-property blk 'TextString)
)
)
(setq tmp 0)
(while (setq tmp (VL-STRING-SEARCH "\\C" txtstr tmp))
(setq txtstr
(vl-string-subst (strcat (substr txtstr (1+ tmp) 2) (itoa Color) ";")
(substr txtstr (1+ tmp) (- (1+ (VL-STRING-SEARCH ";" txtstr tmp)) tmp))
txtstr tmp)
)
(setq tmp (+ tmp 3))
)
(vla-put-Textstring blk txtstr)
)
) ;_ end of if
(if (and (vlax-write-enabled-p blk)
(= (vla-get-ObjectName blk) "AcDbBlockReference")
(= (vla-get-HasAttributes blk) :vlax-true)
) ;_ end of and
(foreach att (vlax-safearray->list
(vlax-variant-value (vla-GetAttributes blk))
) ;_ end of vlax-safearray->list
(if (and (vlax-write-enabled-p att) (vlax-property-available-p att 'Color) ) ;_ end of and
(vla-put-Color att Color)
) ;_ end of if
) ;_ end of foreach
) ;_ end of if
(if (and (vlax-write-enabled-p blk) (wcmatch (vla-get-Objectname blk) "*Dimension*,AcDb*Leader")) ;_ end of and
(progn
(vl-catch-all-apply 'vla-put-ExtensionLineColor (list blk Color))
(vl-catch-all-apply 'vla-put-TextColor (list blk Color))
(vl-catch-all-apply 'vla-put-DimensionLineColor (list blk Color))
(if (vlax-property-available-p blk 'LeaderLineColor)
(progn
(setq tmp (vla-getinterfaceobject (vlax-get-acad-object) (strcat "AutoCAD.AcCmColor."
(substr (getvar "ACADVER") 1 2))) )
(vla-put-colorindex tmp Color)
(vl-catch-all-apply 'vla-put-LeaderLineColor (list blk tmp))
)
)
) ;_ end of progn
) ;_ end of if
;;; ) ;_ end of vlax-for
)
) ;_ end of if
(setq i (1+ i))
) ;_ end of vlax-for
(vl-cmdf "_redrawall")
) ;_ end of defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(princ
"\nType ColorX, COLORXREF, ColorXL, COLORXREFL in command line"
) ;_ end of princ

Bạn nhớ cám ơn các bác Ketxu và DoanVanHa vì có các bác ấy mình mới sửa được cái lisp này. Hy vọng bạn sẽ hài lòng với nó.
Chúc bạn vui.
PS: file lisp gốc bạn gửi bị sai cú pháp, bạn phải sửa lại cho đúng nhé. Sai ở chỗ tên hàm (defun c:doi mau (...) Phải sửa lại thành (defun c:doimau (....) nó mới chạy được (chú ý không có khoảng trắng giữa các ký tự của tên hàm tức là giữa doi và mau)
  • 3
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 30 July 2012 - 08:22 AM

Gửi bạn PhamThanhBinh,
Tháng vừa qua mình bận chuyện gia đình nên không online được. Cám ơn bạn rất nhiều về sự hỗ trợ. Mình đã test thử và thấy tương đối ok. Tuy nhiên có một số đối tượng ở 1 số bản vẽ vẫn không đổi màu được, bạn kiểm tra lại giúp mình nhé.
Mình gửi đường link file cad đã chạy lisp của bạn.
http://www.cadviet.c...oi_duoc_mau.dwg
Gửi bạn Ketxu và DoanVanHa,
Cám ơn 2 bạn đã hỗ trợ sửa lisp.
Tkd247
  • 0

#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 31 July 2012 - 01:54 PM

Gửi bạn PhamThanhBinh, Tháng vừa qua mình bận chuyện gia đình nên không online được. Cám ơn bạn rất nhiều về sự hỗ trợ. Mình đã test thử và thấy tương đối ok. Tuy nhiên có một số đối tượng ở 1 số bản vẽ vẫn không đổi màu được, bạn kiểm tra lại giúp mình nhé. Mình gửi đường link file cad đã chạy lisp của bạn. http://www.cadviet.c...oi_duoc_mau.dwg Gửi bạn Ketxu và DoanVanHa, Cám ơn 2 bạn đã hỗ trợ sửa lisp. Tkd247

Hề hề hề,
Bạn đã kiểm tra khi bạn chọn đổi màu tất cả thì nó có đổi màu được không???
Mình chỉ bổ sung lựa chọn cho lisp chứ không thay đổi phương pháp của lisp. Bởi vậy nếu như bạn chọn đổi màu tất cả mà vẫn không được thì có lẽ phải chờ tác giả của lisp cập nhật thêm chứ mình cũng chưa biết nên làm thế nào.
Có thể bác Ketxu sẽ giải quyết được vì mấy hàm vl- vla- ... này mình vẫn còn lúng túng lắm.....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#8 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 01 August 2012 - 11:38 AM

Gửi bạn PhamThanhBinh,
Cám ơn bạn đã trả lời. Theo mình hiểu thì các đối tượng này được vẽ bằng một phần mềm chuyên dụng nên không đổi được màu. Thông thường mình đổi màu thủ công bằng cách phá (explode) các đối tượng này ra rồi dung lisp đổi màu thì được nhưng như thế thì hơi mất công.
Gửi các bạn trên diễn đàn,
Các bác cao thủ ra tay giúp đỡ em cái.
Tkd247
  • 0

#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 01 August 2012 - 12:39 PM

Mất công ??? 1 lệnh Qselect với 2 pick chọn, mất của bạn chưa đầy 10s cho mỗi bản vẽ. bạn có đại lãn quá k ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 01 August 2012 - 01:41 PM

Mất công ??? 1 lệnh Qselect với 2 pick chọn, mất của bạn chưa đầy 10s cho mỗi bản vẽ. bạn có đại lãn quá k ?

Bác này "cưỡi ngựa xem hoa", không bật cad lên rồi ?!
kiểu đối tượng là (0 . AEC_WALL) hay ObjectName = "AecDbWall" : ACA hay Architect gì đó ..
Thuần AutoCad thì cứ gọi là ... "cưỡi ngựa xem hoa" nhé.
  • 0

#11 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 01 August 2012 - 02:11 PM

Gửi các bạn trên diễn đàn,
Bản vẽ trên chỉ là 1 phần trích đoạn rất nhỏ trong bản vẽ tổng mà bên xây dựng gửi cho mình. Có vô số các đối tượng như vậy trong bản vẽ mà không dùng được với lệnh Filter và Qselect để chọn.
Tkd247
  • 0

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 01 August 2012 - 03:45 PM

Thưa bác gia_bac là e có bật lên rồi. Sử dụng 2008 để bật. Thấy báo có Proxy + một số thành phần ở Newer Program .
Cái newer thì e chịu rồi. E đang nói về những thằng Proxy. Còn nó có thằng nào khác k thì e chưa biết. Nếu k phải coi như e chưa nói ^^

P/s : qselect đã có tính năng loại trừ mà ?
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 01 August 2012 - 04:05 PM

Thưa bác gia_bac là e có bật lên rồi. Sử dụng 2008 để bật. Thấy báo có Proxy + một số thành phần ở Newer Program .
Cái newer thì e chịu rồi. E đang nói về những thằng Proxy. Còn nó có thằng nào khác k thì e chưa biết. Nếu k phải coi như e chưa nói ^^

P/s : qselect đã có tính năng loại trừ mà ?

Cad 2010 không báo Proxy, chắc Cad2008 không hiểu đ/tượng AEC_WALL nên gọi là proxy ?
  • 0

#14 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 01 August 2012 - 11:31 PM

Cad 2010 không báo Proxy, chắc Cad2008 không hiểu đ/tượng AEC_WALL nên gọi là proxy ?

CAD 2010 dc bổ sung một số AEC dbx nên nó ko coi đó là proxy tuy nhiên lại ko edit gì dc cả :D
Các phiên bản AutoCAD có thể vào đây để update Object Enabler: http://usa.autodesk....240618#section6
  • 1

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#15 tkd247

tkd247

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 August 2012 - 06:33 PM

Gửi các bạn trên diễn đàn,
Mình thử đề xuất như thế này các bạn xem có khả thi không nhé: các bạn thêm vào lisp phần kiểm tra bản vẽ xem nếu có đối tượng AEC thì sử dụng lệnh Explode 2 lần đối tượng này. Sau đó mới chạy tiếp phần đổi màu.
Cám ơn các bạn trước
Tkd247
  • 0